## fcitx5-m17n 5.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(fcitx-m17n VERSION 5.0.8)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")

find_package(Fcitx5Core 5.0.2 REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
find_package(Gettext REQUIRED)
find_package(Pthread REQUIRED)
find_package(fmt REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(M17NGui IMPORTED_TARGET "m17n-gui>=1.6.3" REQUIRED)
# Required for data and testing
pkg_check_modules(M17NDB "m17n-db" REQUIRED)

if (TARGET fmt::fmt-header-only)
  set(FMT_TARGET fmt::fmt-header-only)
else()
  set(FMT_TARGET fmt::fmt)
endif ()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-m17n\" -D_GNU_SOURCE)
fcitx5_add_i18n_definition()

add_subdirectory(po)
add_subdirectory(im)

if (ENABLE_TEST)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.M17N.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.M17N.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.M17N.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-m17n (5.0.8-1deepin0) unstable; urgency=medium

  [ Debian Input Method Team ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:44 +0800

fcitx5-m17n (5.0.8-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Feb 2022 11:11:51 -0500

fcitx5-m17n (5.0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1002750)

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Dec 2021 15:00:27 -0500

## fcitx5-m17n 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx-m17n VERSION 5.0.8)
+project(fcitx-m17n VERSION 5.0.10)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-m17n (5.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:43:10 -0400

fcitx5-m17n (5.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 11:48:32 -0400

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-m17n/ \
 fcitx5-m17n-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## fcitx5-m17n 5.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx-m17n VERSION 5.0.10)
+project(fcitx-m17n VERSION 5.0.11)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== im/CMakeLists.txt ===
set(fcitx_m17n_sources
    engine.cpp
    overrideparser.cpp
    keysymname.cpp
    )

add_library(m17n MODULE ${fcitx_m17n_sources})
target_link_libraries(m17n Fcitx5::Core Fcitx5::Config ${FMT_TARGET} PkgConfig::M17NGui)
target_include_directories(m17n PRIVATE ${PROJECT_BINARY_DIR})
set_target_properties(m17n PROPERTIES PREFIX "")
install(TARGETS m17n DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(m17n.conf.in.in m17n.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/m17n.conf.in" m17n.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/m17n.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

install(FILES default DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/m17n")

=== test/CMakeLists.txt ===

configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(addon)
add_executable(testm17n testm17n.cpp)
target_link_libraries(testm17n Fcitx5::Core Fcitx5::Module::TestFrontend Pthread::Pthread)
add_dependencies(testm17n m17n copy-addon)
add_test(testm17n testm17n)

=== debian/changelog ===
fcitx5-m17n (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 15:47:19 -0500

=== debian/control ===
Source: fcitx5-m17n
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libfcitx5core-dev (>= 5.0.2),
 libfmt-dev,
 libm17n-dev,
 m17n-db,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/fcitx/fcitx5-m17n
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-m17n.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-m17n

Package: fcitx5-m17n
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-m17n,
Description: m17n support module for Fcitx5 Input Method Framework
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 This package provides the m17n module for Fcitx5, which uses libm17n,
 a multilingual text processing library for the C language.

## fcitx5-m17n 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx-m17n VERSION 5.0.11)
+project(fcitx-m17n VERSION 5.1.0)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-m17n (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Require libm17n-dev (>= 1.8.3-2~) to circumvent
    bug in m17n-lib.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 14:59:54 -0400

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.6),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
  libfcitx5core-dev (>= 5.0.2),
  libfmt-dev,
- libm17n-dev,
+ libm17n-dev (>= 1.8.3-2~),
  m17n-db,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-m17n
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-m17n.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-m17n

## fcitx5-m17n 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx-m17n VERSION 5.1.0)
+project(fcitx-m17n VERSION 5.1.1)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-m17n (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:39:34 -0400

## fcitx5-m17n 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx-m17n VERSION 5.1.1)
+project(fcitx-m17n VERSION 5.1.2)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-m17n (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Oct 2024 02:24:21 -0400

fcitx5-m17n (5.1.1-2) unstable; urgency=high

  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Replace build-dep pkg-config => pkgconf.
  * debian/patches/1d2a84ab1c893b50844890e1529df019d4461641.patch:
    Add patch to fix compatibility with the recent libm17n.
    (Closes: #1080107)

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Sep 2024 19:48:35 -0400

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
  libfmt-dev,
  libm17n-dev (>= 1.8.3-2~),
  m17n-db,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-m17n
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-m17n.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-m17n

## fcitx5-m17n 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx-m17n VERSION 5.1.2)
+project(fcitx-m17n VERSION 5.1.3)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -12,10 +13,9 @@
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
 
-find_package(Fcitx5Core 5.0.2 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
-find_package(Pthread REQUIRED)
 find_package(fmt REQUIRED)
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(M17NGui IMPORTED_TARGET "m17n-gui>=1.6.3" REQUIRED)

=== im/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     keysymname.cpp
     )
 
-add_library(m17n MODULE ${fcitx_m17n_sources})
+add_fcitx5_addon(m17n ${fcitx_m17n_sources})
 target_link_libraries(m17n Fcitx5::Core Fcitx5::Config ${FMT_TARGET} PkgConfig::M17NGui)
 target_include_directories(m17n PRIVATE ${PROJECT_BINARY_DIR})
 set_target_properties(m17n PROPERTIES PREFIX "")

=== debian/changelog ===
fcitx5-m17n (5.1.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1094060)

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 17:48:07 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.0.2),
+ libfcitx5core-dev (>= 5.1.12),
  libfmt-dev,
  libm17n-dev (>= 1.8.3-2~),
  m17n-db,

## fcitx5-m17n 5.1.4

=== debian/changelog ===
fcitx5-m17n (5.1.4-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1114099)
  * debian/control: Move package description to source package section.
  * debian/control: Force rebuild against m17n-lib (>> 1.8.6~) and
    fcitx5 (>> 5.1.14-3~) to solve the gcc-15 compatibility issue.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Sep 2025 20:46:49 -0400

fcitx5-m17n (5.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: No longer build-depends on libfmt-dev.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 17:14:21 -0400

=== debian/control ===
Source: fcitx5-m17n
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libfcitx5core-dev (>= 5.1.14-3~),
 libm17n-dev (>= 1.8.6~),
 m17n-db,
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/fcitx/fcitx5-m17n
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-m17n.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-m17n
Description: m17n support module for Fcitx5 Input Method Framework
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 This package provides the m17n module for Fcitx5, which uses libm17n,
 a multilingual text processing library for the C language.

Package: fcitx5-m17n
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-m17n,
Description: ${source:Synopsis}
 ${source:Extended-Description}

## fcitx5-m17n 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx-m17n VERSION 5.1.3)
+project(fcitx-m17n VERSION 5.1.5)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -16,17 +16,18 @@
 find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
-find_package(fmt REQUIRED)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(M17NGui IMPORTED_TARGET "m17n-gui>=1.6.3" REQUIRED)
-# Required for data and testing
-pkg_check_modules(M17NDB "m17n-db" REQUIRED)
 
-if (TARGET fmt::fmt-header-only)
-  set(FMT_TARGET fmt::fmt-header-only)
-else()
-  set(FMT_TARGET fmt::fmt)
-endif ()
+if (NOT DEFINED M17N_TARGET)
+    pkg_check_modules(M17NGui IMPORTED_TARGET "m17n-gui>=1.6.3" REQUIRED)
+    # Required for data and testing
+    pkg_check_modules(M17NDB "m17n-db" REQUIRED)
+    set(M17N_TARGET PkgConfig::M17NGui)
+endif()
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-m17n\" -D_GNU_SOURCE)

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-m17n)

=== test/CMakeLists.txt ===

configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(addon)
add_executable(testm17n testm17n.cpp)
target_link_libraries(testm17n Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testm17n m17n copy-addon)
add_test(NAME testm17n COMMAND testm17n)

=== debian/changelog ===
fcitx5-m17n (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Oct 2025 17:39:36 -0400

fcitx5-m17n (5.1.4-3) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain again.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:44:03 -0400

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev,
+ fcitx5-modules-dev (>= 5.1.14-4~),
  gettext,
- libfcitx5core-dev (>= 5.1.14-3~),
+ libfcitx5core-dev (>= 5.1.14-4~),
  libm17n-dev (>= 1.8.6~),
  m17n-db,
  pkgconf,
